<template>
	<el-row>
		<el-row class="loginContainer" :style="{height:WINDOW_H + 'px'}">
			<el-col
				:span="8"
				class="flexVcenter flexHcenter f14 c333"
				:offset="8"
				style="padding:.5rem 0;display:flex;"
			>
				<img src="../../assets/img/logo.png" style="height:3.25rem;width:auto;" alt="">
				| 资金端
			</el-col>
			<el-col :span="8" :offset="8">
				<el-row class="btn-group">
					<div class="icon"></div>
					<el-row style="margin-left:2.5rem;">
						<el-input
							placeholder="请输入账号"
							@focus="active_1 = true"
							@blur="active_1 = false"
							v-model="form.username"
							autocomplete="off"
							clearable
						></el-input>
					</el-row>
					<el-row class="line" :class="[active_1 ? 'line_len' : '']"></el-row>
				</el-row>
			</el-col>
			<el-col :span="8" :offset="8" style="margin-top:0;">
				<el-row class="btn-group" style="margin-top:0;">
					<div class="icon icon_pwd"></div>
					<el-row style="margin-left:2.5rem;">
						<el-input
							placeholder="请输入密码"
							type="password"
							autocomplete="off"
							@focus="active_2 = true"
							@blur="active_2 = false"
							v-model="form.password"
							clearable
						></el-input>
					</el-row>
					<el-row class="line" :class="[active_2 ? 'line_len' : '']"></el-row>
				</el-row>
			</el-col>
			<!--注释忘记密码-->
			<!--<el-col-->
				<!--:span="8"-->
				<!--:offset="8"-->
				<!--class="f12 cur c4D84EF talinright"-->
				<!--style="margin-top:0;padding-right:2rem;"-->
			<!--&gt;-->
				<!--<span @click="forgetPwd">忘记密码</span>-->
			<!--</el-col>-->
			<el-col :span="8" :offset="8" style="margin-top:0;">
				<el-row style="margin:0 1.25rem;">
					<el-button
						type="primary"
						style="margin:1.25rem 0 1.875rem; width:100%"
						round
						@click="postInfo"
					>登 录</el-button>
				</el-row>
			</el-col>
		</el-row>
		<ootecoForgetPwd ref="forgotPwd"></ootecoForgetPwd>
	</el-row>
</template>

<script>
import ootecoTable from '@com/ooteco_table'
import ootecoForgetPwd from '@com/ooteco_forgetPwd'
export default {
	mixins: [$mixin],
	components: { ootecoTable, ootecoForgetPwd },
	data() {
		return {
			form: {
				username: '',
				password: ''
			},
			active_1: false,
			active_2: false
		}
	},
	methods: {
		forgetPwd() {
			this.$refs.forgotPwd.show()
		},
		postInfo() {
			if (!this.form.username || !this.form.password) {
				this.alert('请完善账号或密码')
				return false
			}
			this.$http
				.post({
					url: 'user/login',
					params: this.form
				})
				.then(
					({ data }) => {
						sessionStorage.setItem('userInfo', JSON.stringify(data))
//						this.$store.state.userInfo =
//							sessionStorage.getItem('userInfo') &&
//							JSON.parse(sessionStorage.getItem('userInfo'))
						this.go('/controller/salesList')
					},
					msg => {
						this.alert(msg)
					}
				)
		}
	},
	mounted() {}
}
</script>

<style lang="less">
.loginContainer {
	background: url('../../assets/img/u1022.png') center center no-repeat !important;
	background-size: 100% 101% !important;
	div.el-col {
		background: #fff;
	}
	div.el-col:nth-child(1) {
		margin-top: 30vh;
	}
	button {
		background: #4d84ef !important;
		color: #fff !important;
	}
	button:hover {
		background: #4d84ef !important;
		color: #fff !important;
	}
	div.btn-group {
		margin: 1.25rem;
		position: relative;
		input {
			border: none;
		}
		input:focus {
			border: none;
		}
		.line {
			width: 100%;
			height: 0.0625rem;

			background: #ddd;
		}
		.line_len {
			animation: len 0.4s linear;
			width: 100%;
			background: #409eff;
		}
	}
	div.icon {
		position: absolute;
		top: 0.375rem;
		left: 0.375rem;
		width: 2rem;
		height: 2rem;
		z-index: 1;
		background: url('../../assets/img/icon_user.png');
		background-size: 100% auto;
	}
	div.icon_pwd {
		background: url('../../assets/img/icon_password.png');
		background-size: 100% auto;
	}
	background: #3990e9;
}
@keyframes len {
	from {
		width: 0;
	}
	to {
		width: 100%;
	}
}
@-webkit-keyframes len {
	from {
		width: 0;
	}
	to {
		width: 100%;
	}
}
</style>
